import { OnInit } from '@angular/core';
import { LpwanSetDeviceProtocolService } from './lpwan-set-device-protocol.service';
import { AlertService } from '@c8y/ngx-components';
import { IManagedObject, InventoryService, IResultList } from '@c8y/client';
import { Router } from '@angular/router';
export declare class LpwanAssignDeviceProtocolComponent implements OnInit {
    private lpwanService;
    private alertService;
    private router;
    private inventoryService;
    loading: boolean;
    device: IManagedObject;
    currentProtocol: IManagedObject;
    availableProtocols: IResultList<IManagedObject>;
    newProtocol: IManagedObject;
    filterCurrentProtocol: import("rxjs").UnaryFunction<import("rxjs").Observable<IManagedObject[]>, import("rxjs").Observable<IManagedObject[]>>;
    lpwanSetDeviceProtocolForm: any;
    constructor(lpwanService: LpwanSetDeviceProtocolService, alertService: AlertService, router: Router, inventoryService: InventoryService);
    ngOnInit(): Promise<void>;
    reload(): Promise<void>;
    loadDevice(): Promise<void>;
    apply(selectedProtocol: any): Promise<void>;
    refreshCache(): Promise<void>;
}
